﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLGIFT]') AND name = N'key2')
BEGIN 
PRINT 'Creating index key2 on table DLGIFT'
CREATE UNIQUE NONCLUSTERED INDEX [key2] ON [dbo].[DLGIFT] 
(
	[RTI] ASC,
	[DATE1] ASC,
	[TILL] ASC,
	[TRAN] ASC,
	[LINE] ASC,
	[SERI] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLGIFT]') AND name = N'XDLGIFT1')
BEGIN 
PRINT 'Creating index XDLGIFT1 on table DLGIFT'
CREATE UNIQUE NONCLUSTERED INDEX [XDLGIFT1] ON [dbo].[DLGIFT] 
(
	[SERI] ASC,
	[DATE1] ASC,
	[TILL] ASC,
	[TRAN] ASC,
	[LINE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLGIFT' AND COLUMN_NAME = 'COMM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLGIFT_COMM')
BEGIN 
    PRINT 'Creating default constraint DF_DLGIFT_COMM on table DLGIFT' 
    ALTER TABLE [dbo].[DLGIFT]
    ADD CONSTRAINT [DF_DLGIFT_COMM] DEFAULT ((0)) FOR [COMM]
END 
GO

